Class | SOAP::SOAPBase64
In: | soap/baseData.rb
Parent: | XSD::XSDBase64Binary

### Methods

as_xsd new

### Included Modules

SOAPBasetype

### Constants

Type | = | QName.new(EncodingNamespace, Base64Literal)

### Public Class methods

new(value = nil)

Override the definition in SOAPBasetype.

[Source]

    # File soap/baseData.rb, line 304
      def initialize(value = nil)
        super(value)
        @type = Type
      end

### Public Instance methods

as_xsd()

[Source]

    # File soap/baseData.rb, line 309
      def as_xsd
        @type = XSD::XSDBase64Binary::Type
      end

[Validate]